Skip to main content
GET
/
v2
/
customers
/
{customerId}
/
contacts
Query Customer Contacts
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/customers/{customerId}/contacts \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>'
[
  {
    "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "department": "<string>",
    "honorific": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "phoneNumber": "<string>",
    "mobilePhoneNumber": "<string>",
    "emailAddress": "<string>",
    "fax": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

customerId
string<uuid>
required

The id of the customer that the contacts belong to. Represents a unique key for identifying a customer in the JTL system.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

The requested contacts of the customer.

id
string<uuid>

The unique ID to identify a customer's main contact person.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

department
string

The contact person's department.

honorific
string

The contact person's form of address.

firstName
string

The contact person's first name.

lastName
string

The contact person's last name.

phoneNumber
string

The contact person's landline phone number.

mobilePhoneNumber
string

The contact person's mobile number.

emailAddress
string

The contact person's email address.

fax
string

The contact person's fax number.